Page MenuHomeFreeBSD

fetch-list: broken handling of DISTFILES when it has entries with subdirectories
ClosedPublic

Authored by mat on Jul 30 2019, 1:18 PM.

Details

Summary

See 239293 for what is broken exactly.

Test Plan
cd lang/rust
$ make fetch-list | sh -x
+ mkdir -p /home/mat/work/freebsd/distfiles/rust
+ cd /home/mat/work/freebsd/distfiles/rust
+ env /usr/bin/fetch -Fpr -S 98707920 http://distcache.FreeBSD.org/ports-distfiles/rust/rustc-1.36.0-src.tar.xz
rustc-1.36.0-src.tar.xz                                 94 MB 1828 kBps    22s
+ mkdir -p /home/mat/work/freebsd/distfiles/rust
+ cd /home/mat/work/freebsd/distfiles/rust
+ mkdir -p 2019-05-23
+ env /usr/bin/fetch -Fpr -S 73812596 -o 2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.FreeBSD.org/ports-distfiles/rust/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz
2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd          70 MB 1684 kBps    43s
+ env /usr/bin/fetch -Fpr -S 73812596 -o 2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz https://static.rust-lang.org/dist/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz
fetch: https://static.rust-lang.org/dist/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz: size unknown
fetch: https://static.rust-lang.org/dist/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz: size of remote file is not known
2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd          70 MB 9219 kBps    08s
+ env /usr/bin/fetch -Fpr -S 73812596 -o 2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 73812596 -o 2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.us-east.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 73812596 -o 2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.eu.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 73812596 -o 2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.us-west.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rustc-1.35.0-x86_64-unknown-freebsd.tar.gz
+ mkdir -p /home/mat/work/freebsd/distfiles/rust
+ cd /home/mat/work/freebsd/distfiles/rust
+ mkdir -p 2019-05-23
+ env /usr/bin/fetch -Fpr -S 83588135 -o 2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.FreeBSD.org/ports-distfiles/rust/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz
2019-05-23/rust-std-1.35.0-x86_64-unknown-free          79 MB 2871 kBps    28s
+ env /usr/bin/fetch -Fpr -S 83588135 -o 2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz https://static.rust-lang.org/dist/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz
fetch: https://static.rust-lang.org/dist/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz: size unknown
fetch: https://static.rust-lang.org/dist/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz: size of remote file is not known
2019-05-23/rust-std-1.35.0-x86_64-unknown-free          79 MB    9 MBps    08s
+ env /usr/bin/fetch -Fpr -S 83588135 -o 2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 83588135 -o 2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.us-east.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 83588135 -o 2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.eu.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 83588135 -o 2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz http://distcache.us-west.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/rust-std-1.35.0-x86_64-unknown-freebsd.tar.gz
+ mkdir -p /home/mat/work/freebsd/distfiles/rust
+ cd /home/mat/work/freebsd/distfiles/rust
+ mkdir -p 2019-05-23
+ env /usr/bin/fetch -Fpr -S 6235107 -o 2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz http://distcache.FreeBSD.org/ports-distfiles/rust/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz
2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd        6088 kB 1681 kBps    04s
+ env /usr/bin/fetch -Fpr -S 6235107 -o 2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz https://static.rust-lang.org/dist/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz
fetch: https://static.rust-lang.org/dist/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz: size unknown
fetch: https://static.rust-lang.org/dist/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz: size of remote file is not known
2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd        6088 kB 9399 kBps    01s
+ env /usr/bin/fetch -Fpr -S 6235107 -o 2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz http://distcache.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 6235107 -o 2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz http://distcache.us-east.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 6235107 -o 2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz http://distcache.eu.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz
+ env /usr/bin/fetch -Fpr -S 6235107 -o 2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz http://distcache.us-west.FreeBSD.org/local-distfiles/tobik/rust/2019-05-23/cargo-0.36.0-x86_64-unknown-freebsd.tar.gz

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 25592
Build 24192: arc lint + arc unit

Event Timeline

mat created this revision.Jul 30 2019, 1:18 PM
mat edited the test plan for this revision. (Show Details)Jul 30 2019, 1:28 PM
mat edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jul 31 2019, 10:10 AM
This revision was automatically updated to reflect the committed changes.